﻿using _123.Data.LocalData.Entity;
using _123.Data.RemoteData.RemoteDatabase.DAO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _123.Data.Repository
{
    internal interface IUserRepository
    {
        List<UserDao> GetAllUser();
        bool RemoveUserByGuid(int userId);
        UserDao FindUserByGuid(Guid userGuid);
        UserDao? GetUserByGuid(int userId);
        UserDao? UpdateUser(UserDao userUpdate);
        UserDao? UpdateUserByGuid(int userId);
    }
}
