﻿using _123.Data.LocalData;
using _123.Data.LocalData.Entity;
using _123.Data.RemoteData.RemoteDatabase.DAO;
using _123.Data.Repository;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace _123.Data.ReportsHistory
{
    public class UserRepositoryImpl: IUserRepository
    {
        public UserRepositoryImpl()
        {

            GetAllUsers = LocalStaticData.users;
        }
        public List<UserLocalEntity> GetAllUsers
        { get; set; }

        public List<UserLocalEntity> GetAllUser()
        {
            return GetAllUsers;
        }
        public bool RemoveUserByGuid(Guid userGuid)
        {
            UserLocalEntity? userLocal = GetAllUsers
                .Where(x => x.UserGuid == userGuid).FirstOrDefault();
            if (userLocal == null) return false;

            return GetAllUsers.Remove(userLocal);
        }
        public UserLocalEntity FindUserByGuid(Guid userGuid)
        {
            UserLocalEntity? userLocal = GetAllUsers
                .Where(x => x.UserGuid == userGuid).FirstOrDefault();
            if (userLocal == null) throw new Exception("Пользователь не найден");
            return userLocal; 
        }


        public UserLocalEntity? GetUserByGuid(Guid userGuid)
        {
            UserLocalEntity? userLocal = GetAllUsers
                    .Where(x => x.UserGuid == userGuid).FirstOrDefault();
            if (userLocal == null) return null;

            return userLocal;
        }

        public UserLocalEntity? UpdateUser(UserLocalEntity userUpdateLocalEnity)
        {
            UserLocalEntity? userLocal = GetAllUsers
                    .Where(x => x.UserGuid == userUpdateLocalEnity.UserGuid).FirstOrDefault();
            if (userLocal == null) return null;
            userLocal.UserFIO = userUpdateLocalEnity.UserFIO;
            userLocal.GroupID = userUpdateLocalEnity.GroupID;
            return userLocal;

        }
        public UserLocalEntity? UpdateUserByGuid(Guid userGuid)
        {
            UserLocalEntity? userLocal = GetAllUsers
                    .Where(x => x.UserGuid == userGuid).FirstOrDefault();
            if (userLocal == null) return null;
            return userLocal;

        }
    }
}
